Subject: Re: Sharper Image offers men substitute for $119.95

From: [email-masked] (Doug Hohenstein)
Date: 9 Aug 1994 21:36:56 GMT

[email-masked] wrote:
: Sharper Image Approach to Men
:  
: Just got the new Sharper Image catalog and on page 102 it has the following
: new product for sale:
:  
: "Safe-T-Main's 24-hour mission:  your protection
:  
: Muscular and intimidating, Safe-T-Man is a protective presence in your car,
: home, or office.  Day and nite, he shows the world that you're not alone,
: that you're not an easy target.  He lookos like a rugged 180 lb. man, but
: weighs less than a month-old baby (9 lbs).
:  
: Safe-T-Man is based on the principle that the best defense against crime is
: a strong deterrence.  It's a fact that criminals prefer to target victims
: who are alone and appear defenseless.  Buckle him into the passenger seat
: when you drive, and now you have a protective companion for travel on city
: streets, highways, and interstates.  Parked, he stays visible in your car
: while you shop or run errands.  Place him near a window, and now your home,
: cottage, boat, or business apeears occupied while you're away.
:  
: Safe-T-Man is an effective and inexpensive guardian for business people,
: night workers, the elderly, single women, college students,etc.  Made in USA
: of lifelike latex, with soft body and poseable arms.  Resembles a
: six-footer, but measures just 36"L for ease in carrying and storage.  Can be
: dressed in men's clothing (not included) to suit any occasion.  Six-month
: waarranty.  The next best thing to a 24-hour personal bodyguard., Safe-T-Man
: improves your peace of mjind as he deters would-be attackers.  Make him part
: of your self-defense program now.  Just $119.95 plus $9 shipping and
: handling.
:  
: (dean's comment:  Also guaranteed not to fight you for custody of your
: children or anything you say to him.  Warranty includes he will never get
: you pregnant, nor will he ever talk back when told what is wrong with him.
:  This, my friends, is truly what the feminists want the man of the 90's to
: be like----he lacks many things but he still appears strong to those on the
: outside when needed................now we know what has been planned for
: some of us.......Dean, who wishes he could give his ex one of these so she
: would kick it around instead of him.) 
: note the doll has no legs, no balls, and no guts......looks tough
: but isn't-----the new man of the 90's........sheez

  What you mean is that he looks good, but there's nothing else there,
right?  Sounds what a number of ex-girlfriends of mine were looking for:
someone good for the eyes, in bed, but without thoughts, dreams, plans,
ideas, desires of there own.
  Doug